TypeDescription.RowBatchVersion (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Enum TypeDescription.RowBatchVersion

- java.lang.Object
- - java.lang.Enum<TypeDescription.RowBatchVersion>
  - - org.apache.orc.TypeDescription.RowBatchVersion

- All Implemented Interfaces:
    Serializable, Comparable<TypeDescription.RowBatchVersion>
  Enclosing class:
    TypeDescription

      public static enum TypeDescription.RowBatchVersion
      extends Enum<TypeDescription.RowBatchVersion>

  Specify the version of the VectorizedRowBatch that the user desires.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORIGINAL`
    `USE_DECIMAL64`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeDescription.RowBatchVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeDescription.RowBatchVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final TypeDescription.RowBatchVersion ORIGINAL

    - #### USE_DECIMAL64

          public static final TypeDescription.RowBatchVersion USE_DECIMAL64

  - ### Method Detail

    - #### values

          public static TypeDescription.RowBatchVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeDescription.RowBatchVersion c : TypeDescription.RowBatchVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeDescription.RowBatchVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.